listBots
List bots
GET
/v1/admin/botsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-workspace-idstringWorkspace ID
x-multiple-integrations?stringWhether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.
Query parameters
dev?booleanIf true, only dev bots are returned. Otherwise, only production bots are returned.
tags?objectFilter by tags
integrationNames?string[]Filter bots that have ALL of these integrations installed (by definition name)
pluginNames?string[]Filter bots that have ALL of these plugins installed (by definition name)
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
sortField?enum<string>Sort results by this field
Available options:
"createdAt","updatedAt"sortDirection?enum<string>Sort results in this direction
Available options:
"asc","desc"Response
Success
botsobject[]metaobject